Bug 214787 - www/drupal7: conflict with drupal8
Summary: www/drupal7: conflict with drupal8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-23 16:42 UTC by Jochen Neumeister
Modified: 2016-11-29 11:02 UTC (History)
3 users (show)

See Also:


Attachments
Patch (539 bytes, patch)
2016-11-23 16:42 UTC, Jochen Neumeister
joneum: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2016-11-23 16:42:43 UTC
Created attachment 177338 [details]
Patch

there is a new Port "drupal8": add CONFLICTS_INSTALL for it.
Comment 1 commit-hook freebsd_committer 2016-11-24 12:42:14 UTC
A commit references this bug:

Author: tz
Date: Thu Nov 24 12:41:38 UTC 2016
New revision: 427009
URL: https://svnweb.freebsd.org/changeset/ports/427009

Log:
  www/drupal7: add CONFLICT_INSTALL for new port www/drupal8

  PR:           214787
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  Approved by:  mentors (implicit)

Changes:
  head/www/drupal7/Makefile
Comment 2 Torsten Zuehlsdorff freebsd_committer 2016-11-24 12:42:36 UTC
Committed, thanks!
Comment 3 Torsten Zuehlsdorff freebsd_committer 2016-11-24 14:48:32 UTC
Aloha Jochen,

after committing your patch one question was raised: why?

I didn't notice that drupal7 installs into /usr/local/www/drupal7 while drupal8 installs into another directory.

Is there any reason why the conflict is necessary?

Greetings,
Torsten
Comment 4 Jochen Neumeister freebsd_committer 2016-11-24 16:09:11 UTC
(In reply to Torsten Zuehlsdorff from comment #3)

Hey Torsten,

that is right. That's true. I think, he install into /usr/local/www/drupal/.
Was my mistake. Tomorrow comes an update to 7.52 - then I delete it again. I'll make a new PR
Comment 5 commit-hook freebsd_committer 2016-11-29 11:02:41 UTC
A commit references this bug:

Author: tz
Date: Tue Nov 29 11:01:55 UTC 2016
New revision: 427375
URL: https://svnweb.freebsd.org/changeset/ports/427375

Log:
  MFH: r424812 r427009 r427100

  - Update to 7.51
  - Pass maintainership to submitter

  PR:		213805
  Submitted by:	joneum@bsdproject.de

  www/drupal7: add CONFLICT_INSTALL for new port www/drupal8

  PR:           214787
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  Approved by:  mentors (implicit)

  www/drupal7: Update from 7.51 to 7.52

  Changelog: https://www.drupal.org/blog/drupal-823-and-752-released

  Also remove CONFLICTS_INSTALL because drupal7 and drupal8 install
  their files into different directories.

  PR:           214813
  Submitted by: Jochen Neumeister (maintainer)
  Approved by:  mentors (implicit)
  Security:     CVE-2016-9449
  Security:     CVE-2016-9450
  Security:     CVE-2016-9451
  Security:     CVE-2016-9452
  Security:     https://vuxml.freebsd.org/freebsd/8db24888-b2f5-11e6-8153-00248c0c745d.html

  Approved by:  ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/www/drupal7/Makefile
  branches/2016Q4/www/drupal7/distinfo
  branches/2016Q4/www/drupal7/pkg-plist